Index: WAeUP_SRP/trunk/skins/waeup_student/created_student_login.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/created_student_login.py	(revision 1781)
+++ 	(revision )
@@ -1,49 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-from urllib import urlencode
-current = DateTime.DateTime()
-pr = context.portal_registration
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-#pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_created_login',
-                      schema_id= 'student_returning',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "created_student_login",
-                      button = "Search",
-                      commit=False,
-                      )
-if psm == 'invalid':
-    return context.created_student_login_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.created_student_login_form(rendered = res,
-                                 psm = None,
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    pass
-action = "/set_access_data"
-args = {}
-args['matric_no'] = ds.get('matric_no')
-args['name'] = ds.get('student').name
-url = context.absolute_url() + action + '?' + urlencode(args)
-REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/created_student_login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/created_student_login_form.pt	(revision 1781)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-           portal_status_message options/psm;
-           data_storage options/ds;
-           edition python:1;"
-           >
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="creation creation|nothing;
-                   edition edition|nothing;
-                   metadata metadata|nothing"
-                   >
-      </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Firsttime login ! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py	(revision 1782)
@@ -0,0 +1,49 @@
+##parameters=REQUEST
+# $Id: firsttime_login.py 1747 2007-05-07 20:56:24Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+from urllib import urlencode
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+#pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_firsttime_login',
+                      schema_id= 'student_returning',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "firsttime_login",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.firsttime_login_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.firsttime_login_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    pass
+action = "/set_access_data"
+args = {}
+args['matric_no'] = ds.get('matric_no')
+args['name'] = ds.get('student').name
+url = context.absolute_url() + action + '?' + urlencode(args)
+REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1782)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+           portal_status_message options/psm;
+           data_storage options/ds;
+           edition python:1;"
+           >
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/content_lib_master/macros/master">
+      <metal:block fill-slot="header"
+                   tal:define="creation creation|nothing;
+                   edition edition|nothing;
+                   metadata metadata|nothing"
+                   >
+      </metal:block>
+      <metal:block fill-slot="main">
+        <h3>First-time login! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
